GCLOUD_COMPUTE_HEALTH-CHECKS_UPDATE_HTTPS(1)

NAME

gcloud compute health-checks update https - update a HTTPS health check

SYNOPSIS

gcloud compute health-checks update https NAME [--check-interval=CHECK_INTERVAL] [--description=DESCRIPTION] [--healthy-threshold=HEALTHY_THRESHOLD] [--host=HOST] [--port=PORT] [--port-name=PORT_NAME] [--proxy-header=PROXY_HEADER] [--request-path=REQUEST_PATH] [--timeout=TIMEOUT] [--unhealthy-threshold=UNHEALTHY_THRESHOLD] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute health-checks update https is used to update an existing HTTPS health check. Only arguments passed in will be updated on the health check. Other attributes will remain unaffected.

POSITIONAL ARGUMENTS

    NAME
        The name of the HTTPS health check to update.

FLAGS

    --check-interval=CHECK_INTERVAL
        How often to perform a health check for an instance. For example, specifying 10s will run the check every 10 seconds. Valid units for this flag are ``s'' for seconds and ``m'' for minutes.

    --description=DESCRIPTION
        A textual description for the HTTPS health check. Pass in an empty string to unset.

    --healthy-threshold=HEALTHY_THRESHOLD
        The number of consecutive successful health checks before an unhealthy instance is marked as healthy.

    --host=HOST
        The value of the host header used in this HTTP health check request. By default, this is empty and Google Compute Engine automatically sets the host header in health requests to the same external IP address as the forwarding rule associated with the target pool. Setting this to an empty string will clear any existing host value.

    --port=PORT
        The TCP port number that this health check monitors.

    --port-name=PORT_NAME
        The port name that this health check monitors. By default, this is empty. Setting this to an empty string will clear any existing port-name value.

    --proxy-header=PROXY_HEADER
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Adds the header "PROXY UNKNOWN\r\n".

    --request-path=REQUEST_PATH
        The request path that this health check monitors. For example, /healthcheck.

    --timeout=TIMEOUT
        If Google Compute Engine doesn't receive a healthy response from the instance by the time specified by the value of this flag, the health check request is considered a failure. For example, specifying 10s will cause the check to wait for 10 seconds before considering the request a failure. Valid units for this flag are ``s'' for seconds and ``m'' for minutes.

    --unhealthy-threshold=UNHEALTHY_THRESHOLD
        The number of consecutive health check failures before a healthy instance is marked as unhealthy.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.